Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemClusteredSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemClusteredSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemClusteredSorter.cs	(revision 15989)
@@ -31,5 +31,5 @@
     Permutation SortPackingItems(IList<PackingItem> items, PackingShape bin, double delta);
 
-    Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin, double delta);
+    Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin, double delta);
     
   }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/IPackingItemSorter.cs	(revision 15989)
@@ -32,5 +32,5 @@
     Permutation SortPackingItems(IList<PackingItem> items, PackingShape bin);
 
-    Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin);
+    Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin);
   }
 }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemAreaHeightSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemAreaHeightSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemAreaHeightSorter.cs	(revision 15989)
@@ -34,5 +34,5 @@
     }
     
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
       return items.SortByMaterialAreaHeight();
     }    
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusterdHeightAreaSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusterdHeightAreaSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusterdHeightAreaSorter.cs	(revision 15989)
@@ -38,10 +38,10 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin, double delta) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin, double delta) {
       return items.SortByMaterialClusteredHeightArea(bin, delta);
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
-      return SortPackingItemsByMaterial(items, bin, 10.0);
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
+      return SortPackingItemsBySequenceGroup(items, bin, 10.0);
     }
   }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusteredAreaHeightSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusteredAreaHeightSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemClusteredAreaHeightSorter.cs	(revision 15989)
@@ -38,10 +38,10 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin, double delta) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin, double delta) {
       return items.SortByMaterialClusteredAreaHeight(bin, delta);
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
-      return SortPackingItemsByMaterial(items, bin, 10.0);
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
+      return SortPackingItemsBySequenceGroup(items, bin, 10.0);
     }
   }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemGivenSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemGivenSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemGivenSorter.cs	(revision 15989)
@@ -34,5 +34,5 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
       return new Permutation(PermutationTypes.Absolute, Enumerable.Range(0, items.Count).ToArray());
     }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightAreaSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightAreaSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightAreaSorter.cs	(revision 15989)
@@ -34,5 +34,5 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
       return items.SortByMaterialHeightArea();
     }
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightVolumeSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightVolumeSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemHeightVolumeSorter.cs	(revision 15989)
@@ -34,5 +34,5 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
       return items.SortByMaterialHeightVolume();
     }    
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemVolumeHeightSorter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemVolumeHeightSorter.cs	(revision 15822)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Problems.BinPacking/3.3/3D/Sorting/PackingItemVolumeHeightSorter.cs	(revision 15989)
@@ -34,5 +34,5 @@
     }
 
-    public Permutation SortPackingItemsByMaterial(IList<PackingItem> items, PackingShape bin) {
+    public Permutation SortPackingItemsBySequenceGroup(IList<PackingItem> items, PackingShape bin) {
       return items.SortByMaterialVolumeHeight();
     }