Index: /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs
===================================================================
--- /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs	(revision 15996)
+++ /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs	(revision 15997)
@@ -45,34 +45,61 @@
     /// </summary>
     private void InitializeComponent() {
+      this.groupBoxVisualisation = new System.Windows.Forms.GroupBox();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.listBox = new System.Windows.Forms.ListBox();
+      this.listView = new System.Windows.Forms.ListView();
+      this.columnHeader = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+      this.groupBoxVisualisation.SuspendLayout();
       this.SuspendLayout();
+      // 
+      // groupBoxVisualisation
+      // 
+      this.groupBoxVisualisation.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBoxVisualisation.Controls.Add(this.viewHost);
+      this.groupBoxVisualisation.Location = new System.Drawing.Point(169, 3);
+      this.groupBoxVisualisation.Name = "groupBoxVisualisation";
+      this.groupBoxVisualisation.Size = new System.Drawing.Size(177, 277);
+      this.groupBoxVisualisation.TabIndex = 2;
+      this.groupBoxVisualisation.TabStop = false;
+      this.groupBoxVisualisation.Text = "Representation";
       // 
       // viewHost
       // 
-      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
       this.viewHost.Caption = "View";
       this.viewHost.Content = null;
+      this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.viewHost.Enabled = false;
-      this.viewHost.Location = new System.Drawing.Point(126, 3);
+      this.viewHost.Location = new System.Drawing.Point(3, 16);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(220, 277);
+      this.viewHost.Size = new System.Drawing.Size(171, 258);
       this.viewHost.TabIndex = 0;
       this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
-      // listBox
+      // listView
       // 
-      this.listBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+      this.listView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left)));
-      this.listBox.Location = new System.Drawing.Point(3, 3);
-      this.listBox.Name = "listBox";
-      this.listBox.Size = new System.Drawing.Size(117, 277);
-      this.listBox.TabIndex = 1;
-      this.listBox.SelectedIndexChanged += new System.EventHandler(this.listBox_SelectedIndexChanged);
-      this.listBox.DoubleClick += new System.EventHandler(this.listBox_DoubleClick);
+      this.listView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.columnHeader});
+      this.listView.FullRowSelect = true;
+      this.listView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
+      this.listView.LabelWrap = false;
+      this.listView.Location = new System.Drawing.Point(3, 9);
+      this.listView.MultiSelect = false;
+      this.listView.Name = "listView";
+      this.listView.ShowGroups = false;
+      this.listView.Size = new System.Drawing.Size(160, 271);
+      this.listView.TabIndex = 1;
+      this.listView.UseCompatibleStateImageBehavior = false;
+      this.listView.View = System.Windows.Forms.View.Details;
+      this.listView.SelectedIndexChanged += new System.EventHandler(this.listView_SelectedIndexChanged);
+      this.listView.DoubleClick += new System.EventHandler(this.listView_DoubleClick);
+      // 
+      // columnHeader
+      // 
+      this.columnHeader.Width = 130;
       // 
       // GradientBoostedTreesModelView
@@ -80,8 +107,9 @@
       this.AllowDrop = true;
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.viewHost);
-      this.Controls.Add(this.listBox);
+      this.Controls.Add(this.groupBoxVisualisation);
+      this.Controls.Add(this.listView);
       this.Name = "GradientBoostedTreesModelView";
       this.Size = new System.Drawing.Size(349, 289);
+      this.groupBoxVisualisation.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -91,9 +119,7 @@
 
     private MainForm.WindowsForms.ViewHost viewHost;
-    private System.Windows.Forms.ListBox listBox;
-
-
-
-
+    private System.Windows.Forms.ListView listView;
+    private System.Windows.Forms.GroupBox groupBoxVisualisation;
+    private System.Windows.Forms.ColumnHeader columnHeader;
   }
 }
Index: /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs
===================================================================
--- /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs	(revision 15996)
+++ /stable/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs	(revision 15997)
@@ -20,9 +20,13 @@
 #endregion
 
+using System;
+using System.Diagnostics;
+using System.Linq;
+using System.Windows.Forms;
 using HeuristicLab.Common;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.Problems.DataAnalysis;                  
+using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Views {
@@ -30,19 +34,23 @@
   [Content(typeof(IGradientBoostedTreesModel), true)]
   public partial class GradientBoostedTreesModelView : ItemView {
-
+    #region Getter/Setter
     public new IGradientBoostedTreesModel Content {
       get { return (IGradientBoostedTreesModel)base.Content; }
       set { base.Content = value; }
     }
+    #endregion
 
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      listBox.Enabled = Content != null;
-      viewHost.Enabled = Content != null;
-    }
-
+    #region Ctor
     public GradientBoostedTreesModelView()
       : base() {
       InitializeComponent();
+    }
+    #endregion
+
+    #region Events
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      listView.Enabled = Content != null;
+      viewHost.Enabled = Content != null;
     }
 
@@ -51,37 +59,47 @@
       if (Content == null) {
         viewHost.Content = null;
-        listBox.Items.Clear();
+        listView.Items.Clear();
       } else {
         viewHost.Content = null;
-        listBox.Items.Clear();
-        foreach (var e in Content.Models) {
-          listBox.Items.Add(e);
-        }
+        listView.BeginUpdate();
+        listView.Items.Clear();
+        int i = 1;
+        listView.Items.AddRange(
+          new ListViewItem(Content.Models.First().ToString()) { Tag = Content.Models.First() }.ToEnumerable()
+          .Union(Content.Models.Skip(1).Select(v => new ListViewItem("Model " + i++) { Tag = v }))
+          .ToArray()
+        );
+        listView.EndUpdate();
       }
     }
 
-    private void listBox_SelectedIndexChanged(object sender, System.EventArgs e) {
-      var model = listBox.SelectedItem;
-      if (model == null) viewHost.Content = null;
-      else {
-        viewHost.Content = ConvertModel(model);
+
+    private void listView_SelectedIndexChanged(object sender, EventArgs e) {
+      if (listView.SelectedItems.Count == 1) {
+        var item = listView.SelectedItems[0];
+        viewHost.Content = ConvertModel(item);
       }
     }
 
-    private void listBox_DoubleClick(object sender, System.EventArgs e) {
-      var selectedItem = listBox.SelectedItem;
-      if (selectedItem == null) return;
-      MainFormManager.MainForm.ShowContent(ConvertModel(selectedItem));
-    }
-
-    private IContent ConvertModel(object model) {
-      var treeModel = model as RegressionTreeModel;
-      if (treeModel != null)
-        return treeModel.CreateSymbolicRegressionModel();
-      else {
-        var regModel = model as IRegressionModel;
-        return regModel;
+    private void listView_DoubleClick(object sender, EventArgs e) {
+      if (listView.SelectedItems.Count == 1) {
+        var item = listView.SelectedItems[0];
+        var content = ConvertModel(item);
+        if (content != null) { MainFormManager.MainForm.ShowContent(content); }
       }
     }
+    #endregion
+
+    #region Helper Methods
+    private IContent ConvertModel(ListViewItem item) {
+      if (item.Tag is RegressionTreeModel) {
+        return (item.Tag as RegressionTreeModel).CreateSymbolicRegressionModel();
+      } else if (item.Tag is IRegressionModel) {
+        return item.Tag as IRegressionModel;
+      } else {
+        return null;
+      }
+    }
+    #endregion
   }
 }