Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 15686)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 16003)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 15686)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 16003)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 namespace HeuristicLab.Problems.PermutationProblems
 {
-  [Plugin("HeuristicLab.Problems.PermutationProblems", "3.3.15.15662")]
+  [Plugin("HeuristicLab.Problems.PermutationProblems", "3.3.15.15686")]
   [PluginFile("HeuristicLab.Problems.PermutationProblems-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs.frame	(revision 15686)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs.frame	(revision 16003)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 15686)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16003)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -54,4 +54,4 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.15662")]
+[assembly: AssemblyFileVersion("3.3.14.15686")]
 
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 15686)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 16003)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.