Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPDataDescriptor.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPDataDescriptor.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPDataDescriptor.cs	(revision 16005)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Problems.Instances;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs	(revision 16005)
@@ -27,5 +27,4 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using HeuristicLab.Problems.Instances.Types;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Types/LOPData.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Types/LOPData.cs	(revision 16004)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Types/LOPData.cs	(revision 16005)
@@ -20,46 +20,39 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
 
-namespace HeuristicLab.Problems.Instances.Types
-{
+namespace HeuristicLab.Problems.Instances {
+  /// <summary>
+  /// Describes instances of the Linear Ordering Problem (LOP).
+  /// </summary>
+  public class LOPData {
     /// <summary>
-    /// Describes instances of the Linear Ordering Problem (LOP).
+    /// The name of the instance
     /// </summary>
-    public class LOPData
-    {
-        /// <summary>
-        /// The name of the instance
-        /// </summary>
-        public string Name { get; set; }
+    public string Name { get; set; }
 
-        /// <summary>
-        /// Optional! The description of the instance
-        /// </summary>
-        public string Description { get; set; }
+    /// <summary>
+    /// Optional! The description of the instance
+    /// </summary>
+    public string Description { get; set; }
 
-        /// <summary>
-        /// The size of the Matrix
-        /// </summary>
-        public int Dimension { get; set; }
+    /// <summary>
+    /// The size of the Matrix
+    /// </summary>
+    public int Dimension { get; set; }
 
-        /// <summary>
-        /// An NxN Matrix
-        /// </summary>
-        public double[,] Matrix { get; set; }
+    /// <summary>
+    /// An NxN Matrix
+    /// </summary>
+    public double[,] Matrix { get; set; }
 
-        /// <summary>
-        /// Optional! The best known Permutation
-        /// </summary>
-        public int[] BestKnownPermutation { get; set; }
+    /// <summary>
+    /// Optional! The best known Permutation
+    /// </summary>
+    public int[] BestKnownPermutation { get; set; }
 
-        /// <summary>
-        /// Optional! The quality value of the <see cref="BestKnownPermutation"/>
-        /// </summary>
-        public double? BestKnownQuality { get; set; }
-    }
+    /// <summary>
+    /// Optional! The quality value of the <see cref="BestKnownPermutation"/>
+    /// </summary>
+    public double? BestKnownQuality { get; set; }
+  }
 }