Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj	(revision 16005)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj	(revision 16006)
@@ -159,9 +159,9 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="JobShopSchedulingProblemView.cs">
+    <Compile Include="PermutationFlowshopSchedulingProblemView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="JobShopSchedulingProblemView.Designer.cs">
-      <DependentUpon>JobShopSchedulingProblemView.cs</DependentUpon>
+    <Compile Include="PermutationFlowshopSchedulingProblemView.Designer.cs">
+      <DependentUpon>PermutationFlowshopSchedulingProblemView.cs</DependentUpon>
     </Compile>
     <Compile Include="Plugin.cs" />
Index: anches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/JobShopSchedulingProblemView.Designer.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/JobShopSchedulingProblemView.Designer.cs	(revision 16005)
+++ 	(revision )
@@ -1,156 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Encodings.ScheduleEncoding.Views;
-namespace HeuristicLab.Problems.PermutationProblems.Views
-{
-    partial class JobShopSchedulingProblemView
-    {
-        /// <summary> 
-        /// Required designer variable.
-        /// </summary>
-        private System.ComponentModel.IContainer components = null;
-
-        /// <summary> 
-        /// Clean up any resources being used.
-        /// </summary>
-        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-        protected override void Dispose(bool disposing)
-        {
-            if (disposing && (components != null))
-            {
-                components.Dispose();
-            }
-            base.Dispose(disposing);
-        }
-
-        #region Component Designer generated code
-
-        /// <summary> 
-        /// Required method for Designer support - do not modify 
-        /// the contents of this method with the code editor.
-        /// </summary>
-        private void InitializeComponent()
-        {
-            this.problemTabControl = new System.Windows.Forms.TabControl();
-            this.problemTabPage = new System.Windows.Forms.TabPage();
-            this.visualizationTabPage = new System.Windows.Forms.TabPage();
-            this.ganttChart = new HeuristicLab.Encodings.ScheduleEncoding.Views.GanttChart();
-            ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
-            this.problemInstanceSplitContainer.Panel1.SuspendLayout();
-            this.problemInstanceSplitContainer.Panel2.SuspendLayout();
-            this.problemInstanceSplitContainer.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-            this.problemTabControl.SuspendLayout();
-            this.problemTabPage.SuspendLayout();
-            this.visualizationTabPage.SuspendLayout();
-            this.SuspendLayout();
-            // 
-            // problemInstanceSplitContainer.Panel2
-            // 
-            this.problemInstanceSplitContainer.Panel2.Controls.Add(this.problemTabControl);
-            // 
-            // parameterCollectionView
-            // 
-            this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
-            this.parameterCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.parameterCollectionView.Location = new System.Drawing.Point(3, 3);
-            this.parameterCollectionView.Size = new System.Drawing.Size(491, 271);
-            // 
-            // nameTextBox
-            // 
-            this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-            this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-            this.nameTextBox.Size = new System.Drawing.Size(439, 20);
-            // 
-            // infoLabel
-            // 
-            this.infoLabel.Location = new System.Drawing.Point(492, 3);
-            // 
-            // problemTabControl
-            // 
-            this.problemTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-            this.problemTabControl.Controls.Add(this.problemTabPage);
-            this.problemTabControl.Controls.Add(this.visualizationTabPage);
-            this.problemTabControl.Location = new System.Drawing.Point(3, 27);
-            this.problemTabControl.Name = "problemTabControl";
-            this.problemTabControl.SelectedIndex = 0;
-            this.problemTabControl.Size = new System.Drawing.Size(505, 303);
-            this.problemTabControl.TabIndex = 5;
-            // 
-            // problemTabPage
-            // 
-            this.problemTabPage.Controls.Add(this.parameterCollectionView);
-            this.problemTabPage.Location = new System.Drawing.Point(4, 22);
-            this.problemTabPage.Name = "problemTabPage";
-            this.problemTabPage.Padding = new System.Windows.Forms.Padding(3);
-            this.problemTabPage.Size = new System.Drawing.Size(497, 277);
-            this.problemTabPage.TabIndex = 0;
-            this.problemTabPage.Text = "Problem";
-            this.problemTabPage.UseVisualStyleBackColor = true;
-            // 
-            // visualizationTabPage
-            // 
-            this.visualizationTabPage.Controls.Add(this.ganttChart);
-            this.visualizationTabPage.Location = new System.Drawing.Point(4, 22);
-            this.visualizationTabPage.Name = "visualizationTabPage";
-            this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
-            this.visualizationTabPage.Size = new System.Drawing.Size(497, 277);
-            this.visualizationTabPage.TabIndex = 1;
-            this.visualizationTabPage.Text = "Visualization";
-            this.visualizationTabPage.UseVisualStyleBackColor = true;
-            // 
-            // ganttChart
-            // 
-            this.ganttChart.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.ganttChart.Location = new System.Drawing.Point(3, 3);
-            this.ganttChart.Name = "ganttChart";
-            this.ganttChart.Size = new System.Drawing.Size(491, 271);
-            this.ganttChart.TabIndex = 0;
-            // 
-            // JobShopSchedulingProblemView
-            // 
-            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-            this.Name = "JobShopSchedulingProblemView";
-            this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
-            this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
-            this.problemInstanceSplitContainer.Panel2.PerformLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).EndInit();
-            this.problemInstanceSplitContainer.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-            this.problemTabControl.ResumeLayout(false);
-            this.problemTabPage.ResumeLayout(false);
-            this.visualizationTabPage.ResumeLayout(false);
-            this.ResumeLayout(false);
-
-        }
-
-        #endregion
-
-        private System.Windows.Forms.TabControl problemTabControl;
-        private System.Windows.Forms.TabPage problemTabPage;
-        private System.Windows.Forms.TabPage visualizationTabPage;
-        private GanttChart ganttChart;
-    }
-}
Index: anches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/JobShopSchedulingProblemView.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/JobShopSchedulingProblemView.cs	(revision 16005)
+++ 	(revision )
@@ -1,103 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.Optimization.Views;
-using HeuristicLab.Data;
-using System.Linq;
-
-namespace HeuristicLab.Problems.PermutationProblems.Views {
-  [View("Permutation Flowshop Scheduling Problem View")]
-  [Content(typeof(PermutationFlowshopSchedulingProblem), true)]
-  public partial class JobShopSchedulingProblemView : ProblemView {
-
-    public new PermutationFlowshopSchedulingProblem Content
-    {
-      get { return (PermutationFlowshopSchedulingProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public JobShopSchedulingProblemView() {
-      InitializeComponent();
-      Controls.Remove(parameterCollectionView);
-      parameterCollectionView.Dock = DockStyle.Fill;
-      problemTabPage.Controls.Add(parameterCollectionView);
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      FillGanttChart();
-    }
-
-    protected override void DeregisterContentEvents() {
-      Content.BestKnownSolutionChanged -= Content_PermutationChanged;
-      base.DeregisterContentEvents();
-    }
-    protected override void RegisterContentEvents() {
-      base.RegisterContentEvents();
-      Content.BestKnownSolutionChanged += new EventHandler(Content_PermutationChanged);
-    }
-
-    private void Content_PermutationChanged(object sender, EventArgs e) {
-      if (InvokeRequired) {
-        Invoke(new EventHandler(Content_PermutationChanged), sender, e);
-      } else {
-        FillGanttChart();
-      }
-    }
-
-    private void FillGanttChart() {
-      ganttChart.Reset();
-      if (Content != null) {
-        var matrix = Content.JobMatrix;
-        var perm = Content.BestKnownSolution;
-        if (matrix == null) { return; }
-
-        if (perm == null) {
-          perm = new Encodings.PermutationEncoding.Permutation(Encodings.PermutationEncoding.PermutationTypes.Absolute, Enumerable.Range(0, matrix.Columns).ToArray());
-        }
-
-        int[] permutation = perm.ToArray();
-
-        if (!permutation.Contains(0)) { permutation = permutation.Select(v => v - 1).ToArray(); }
-        DoubleMatrix calculatedTime = new DoubleMatrix(matrix.Rows, matrix.Columns);
-
-        for (var machineIdx = 0; machineIdx < matrix.Rows; machineIdx++) {
-          for (var jobIdx = 0; jobIdx < matrix.Columns; jobIdx++) {
-            double runtimeCur = matrix[machineIdx, permutation[jobIdx]];
-            double runtimePrev = 0;
-
-            if (jobIdx == 0 && machineIdx == 0) { } else if (machineIdx == 0) { runtimePrev = calculatedTime[machineIdx, jobIdx - 1]; } else if (jobIdx == 0) { runtimePrev = calculatedTime[machineIdx - 1, jobIdx]; } else {
-              double runtimePrevMachine = calculatedTime[machineIdx - 1, jobIdx];
-              double runtimePrevJobOnThisMachine = calculatedTime[machineIdx, jobIdx - 1];
-              runtimePrev = runtimePrevMachine > runtimePrevJobOnThisMachine ? runtimePrevMachine : runtimePrevJobOnThisMachine;
-            }
-
-            calculatedTime[machineIdx, jobIdx] = runtimeCur + runtimePrev;
-            ganttChart.AddData("Machine " + machineIdx, permutation[jobIdx], jobIdx, runtimePrev, calculatedTime[machineIdx, jobIdx], "");
-          }
-        }
-      }
-    }
-  }
-}
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.Designer.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.Designer.cs	(revision 16006)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.Designer.cs	(revision 16006)
@@ -0,0 +1,151 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Encodings.ScheduleEncoding.Views;
+namespace HeuristicLab.Problems.PermutationProblems.Views {
+  partial class PermutationFlowshopSchedulingProblemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.problemTabControl = new System.Windows.Forms.TabControl();
+      this.problemTabPage = new System.Windows.Forms.TabPage();
+      this.visualizationTabPage = new System.Windows.Forms.TabPage();
+      this.ganttChart = new HeuristicLab.Encodings.ScheduleEncoding.Views.GanttChart();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
+      this.problemInstanceSplitContainer.Panel1.SuspendLayout();
+      this.problemInstanceSplitContainer.Panel2.SuspendLayout();
+      this.problemInstanceSplitContainer.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.problemTabControl.SuspendLayout();
+      this.problemTabPage.SuspendLayout();
+      this.visualizationTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // problemInstanceSplitContainer.Panel2
+      // 
+      this.problemInstanceSplitContainer.Panel2.Controls.Add(this.problemTabControl);
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.parameterCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.parameterCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.parameterCollectionView.Size = new System.Drawing.Size(491, 271);
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(439, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(492, 3);
+      // 
+      // problemTabControl
+      // 
+      this.problemTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemTabControl.Controls.Add(this.problemTabPage);
+      this.problemTabControl.Controls.Add(this.visualizationTabPage);
+      this.problemTabControl.Location = new System.Drawing.Point(3, 27);
+      this.problemTabControl.Name = "problemTabControl";
+      this.problemTabControl.SelectedIndex = 0;
+      this.problemTabControl.Size = new System.Drawing.Size(505, 303);
+      this.problemTabControl.TabIndex = 5;
+      // 
+      // problemTabPage
+      // 
+      this.problemTabPage.Controls.Add(this.parameterCollectionView);
+      this.problemTabPage.Location = new System.Drawing.Point(4, 22);
+      this.problemTabPage.Name = "problemTabPage";
+      this.problemTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.problemTabPage.Size = new System.Drawing.Size(497, 277);
+      this.problemTabPage.TabIndex = 0;
+      this.problemTabPage.Text = "Problem";
+      this.problemTabPage.UseVisualStyleBackColor = true;
+      // 
+      // visualizationTabPage
+      // 
+      this.visualizationTabPage.Controls.Add(this.ganttChart);
+      this.visualizationTabPage.Location = new System.Drawing.Point(4, 22);
+      this.visualizationTabPage.Name = "visualizationTabPage";
+      this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.visualizationTabPage.Size = new System.Drawing.Size(497, 277);
+      this.visualizationTabPage.TabIndex = 1;
+      this.visualizationTabPage.Text = "Visualization";
+      this.visualizationTabPage.UseVisualStyleBackColor = true;
+      // 
+      // ganttChart
+      // 
+      this.ganttChart.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.ganttChart.Location = new System.Drawing.Point(3, 3);
+      this.ganttChart.Name = "ganttChart";
+      this.ganttChart.Size = new System.Drawing.Size(491, 271);
+      this.ganttChart.TabIndex = 0;
+      // 
+      // PermutationFlowshopSchedulingProblemView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "PermutationFlowshopSchedulingProblemView";
+      this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel2.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).EndInit();
+      this.problemInstanceSplitContainer.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.problemTabControl.ResumeLayout(false);
+      this.problemTabPage.ResumeLayout(false);
+      this.visualizationTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TabControl problemTabControl;
+    private System.Windows.Forms.TabPage problemTabPage;
+    private System.Windows.Forms.TabPage visualizationTabPage;
+    private GanttChart ganttChart;
+  }
+}
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs	(revision 16006)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs	(revision 16006)
@@ -0,0 +1,103 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization.Views;
+using HeuristicLab.Data;
+using System.Linq;
+
+namespace HeuristicLab.Problems.PermutationProblems.Views {
+  [View("Permutation Flowshop Scheduling Problem View")]
+  [Content(typeof(PermutationFlowshopSchedulingProblem), true)]
+  public partial class PermutationFlowshopSchedulingProblemView : ProblemView {
+
+    public new PermutationFlowshopSchedulingProblem Content
+    {
+      get { return (PermutationFlowshopSchedulingProblem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public PermutationFlowshopSchedulingProblemView() {
+      InitializeComponent();
+      Controls.Remove(parameterCollectionView);
+      parameterCollectionView.Dock = DockStyle.Fill;
+      problemTabPage.Controls.Add(parameterCollectionView);
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      FillGanttChart();
+    }
+
+    protected override void DeregisterContentEvents() {
+      Content.BestKnownSolutionChanged -= Content_PermutationChanged;
+      base.DeregisterContentEvents();
+    }
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Content.BestKnownSolutionChanged += new EventHandler(Content_PermutationChanged);
+    }
+
+    private void Content_PermutationChanged(object sender, EventArgs e) {
+      if (InvokeRequired) {
+        Invoke(new EventHandler(Content_PermutationChanged), sender, e);
+      } else {
+        FillGanttChart();
+      }
+    }
+
+    private void FillGanttChart() {
+      ganttChart.Reset();
+      if (Content != null) {
+        var matrix = Content.JobMatrix;
+        var perm = Content.BestKnownSolution;
+        if (matrix == null) { return; }
+
+        if (perm == null) {
+          perm = new Encodings.PermutationEncoding.Permutation(Encodings.PermutationEncoding.PermutationTypes.Absolute, Enumerable.Range(0, matrix.Columns).ToArray());
+        }
+
+        int[] permutation = perm.ToArray();
+
+        if (!permutation.Contains(0)) { permutation = permutation.Select(v => v - 1).ToArray(); }
+        DoubleMatrix calculatedTime = new DoubleMatrix(matrix.Rows, matrix.Columns);
+
+        for (var machineIdx = 0; machineIdx < matrix.Rows; machineIdx++) {
+          for (var jobIdx = 0; jobIdx < matrix.Columns; jobIdx++) {
+            double runtimeCur = matrix[machineIdx, permutation[jobIdx]];
+            double runtimePrev = 0;
+
+            if (jobIdx == 0 && machineIdx == 0) { } else if (machineIdx == 0) { runtimePrev = calculatedTime[machineIdx, jobIdx - 1]; } else if (jobIdx == 0) { runtimePrev = calculatedTime[machineIdx - 1, jobIdx]; } else {
+              double runtimePrevMachine = calculatedTime[machineIdx - 1, jobIdx];
+              double runtimePrevJobOnThisMachine = calculatedTime[machineIdx, jobIdx - 1];
+              runtimePrev = runtimePrevMachine > runtimePrevJobOnThisMachine ? runtimePrevMachine : runtimePrevJobOnThisMachine;
+            }
+
+            calculatedTime[machineIdx, jobIdx] = runtimeCur + runtimePrev;
+            ganttChart.AddData("Machine " + machineIdx, permutation[jobIdx], jobIdx, runtimePrev, calculatedTime[machineIdx, jobIdx], "");
+          }
+        }
+      }
+    }
+  }
+}