Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16010)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -27,10 +26,10 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.PermutationProblems-3.3")]
+[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.PermutationProblems")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab.Problems.Instances.PermutationProblems-3.3")]
-[assembly: AssemblyCopyright("Copyright ©  2018")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16005")]
+[assembly: AssemblyFileVersion("3.3.15.16009")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 16010)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -27,10 +26,10 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.PermutationProblems-3.3")]
+[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.PermutationProblems")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab.Problems.Instances.PermutationProblems-3.3")]
-[assembly: AssemblyCopyright("Copyright ©  2018")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs	(revision 16010)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -30,5 +29,5 @@
 [assembly: AssemblyDescription("Base plugin for making problem instances available to problems.")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
 [assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
@@ -55,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16005")]
+[assembly: AssemblyFileVersion("3.3.15.16008")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs.frame	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/Properties/AssemblyInfo.cs.frame	(revision 16010)
@@ -21,5 +21,4 @@
 
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -30,5 +29,5 @@
 [assembly: AssemblyDescription("Base plugin for making problem instances available to problems.")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
 [assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs	(revision 16010)
@@ -50,6 +50,7 @@
 //      Revision
 //
-// You can specify all the values or you can default the Revision and Build Numbers 
+// You can specify all the values or you can default the Build and Revision Numbers 
 // by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16006")]
+[assembly: AssemblyFileVersion("3.3.15.16007")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 16010)
@@ -50,6 +50,7 @@
 //      Revision
 //
-// You can specify all the values or you can default the Revision and Build Numbers 
+// You can specify all the values or you can default the Build and Revision Numbers 
 // by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16010)
@@ -54,4 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16003")]
-
+[assembly: AssemblyFileVersion("3.3.15.16007")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 16009)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs.frame	(revision 16010)
@@ -55,3 +55,2 @@
 [assembly: AssemblyVersion("3.3.0.0")]
 [assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
-