Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/PFSP/FSSPTAILIBDataDescriptor.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/PFSP/FSSPTAILIBDataDescriptor.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/PFSP/FSSPTAILIBDataDescriptor.cs	(revision 16011)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Problems.Instances;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.PFSP {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs	(revision 16011)
@@ -22,5 +22,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.Instances.LinearOrdering {
+namespace HeuristicLab.Problems.Instances.PermutationProblems {
   [Plugin("HeuristicLab.Problems.Instances.PermutationProblems", "3.3.15.16005")]
   [PluginFile("HeuristicLab.Problems.Instances.PermutationProblems-3.3.dll", PluginFileType.Assembly)]
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs.frame
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs.frame	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs.frame	(revision 16011)
@@ -22,5 +22,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.Instances.LinearOrdering {
+namespace HeuristicLab.Problems.Instances.PermutationProblems {
   [Plugin("HeuristicLab.Problems.Instances.PermutationProblems", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.Instances.PermutationProblems-3.3.dll", PluginFileType.Assembly)]
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/PermutationFlowshopSchedulingProblemView.cs	(revision 16011)
@@ -21,9 +21,9 @@
 
 using System;
+using System.Linq;
 using System.Windows.Forms;
+using HeuristicLab.Data;
 using HeuristicLab.MainForm;
 using HeuristicLab.Optimization.Views;
-using HeuristicLab.Data;
-using System.Linq;
 
 namespace HeuristicLab.Problems.PermutationProblems.Views {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 16011)
@@ -26,10 +26,7 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Optimization;
-using System.Collections.Generic;
-using HeuristicLab.Problems.Instances.Types;
 using HeuristicLab.Problems.Instances;
 
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 16011)
@@ -26,8 +26,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Optimization;
 
 
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 16010)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 16011)
@@ -22,6 +22,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.PermutationProblems
-{
+namespace HeuristicLab.Problems.PermutationProblems {
   [Plugin("HeuristicLab.Problems.PermutationProblems", "3.3.15.16003")]
   [PluginFile("HeuristicLab.Problems.PermutationProblems-3.3.dll", PluginFileType.Assembly)]